Name:           nde-auth
Version:        0.0.1
Release:        23.1%{?dist}
Summary:        Customization for NDE

License:        LGPLv2
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-rpm-macros
# kf5 required
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(KF5Auth)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5Service)
BuildRequires:  cmake(KF5GlobalAccel)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Declarative)
BuildRequires:  cmake(KF5NewStuff)
# kf5 optional
BuildRequires:  cmake(KF5Plasma)
BuildRequires: pkgconfig(Qt5DBus)
BuildRequires:  qt5-qtaccountsservice-devel

Requires: timedatex
Requires: qt5-qtaccountsservice

%description
Customization for NDE V4


%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%post


%files
%{_datadir}/polkit-1/actions/*.policy
%{_datadir}/dbus-1/system-services/org.nde.auth.helper.service
%{_datadir}/dbus-1/system.d/org.nde.auth.helper.conf
%{_usr}/libexec/kf5/kauth/nde-authhelper


%changelog
* Fri Jan 10 2025 heleilei <he.leilei@gd-linux.com> - 0.0.1-23.1
- 去掉多余安装依赖

* Mon Feb  07 2022 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-23
- 鉴权创建用户时返回是否成功

* Fri Nov 19 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-22
- 修改加固接口

* Sun Sep 26 2021 Du Qiang <du.qiang@gd-linux.cn> 0.0.0-21
- 解决控制中心无法上传同名壁纸的问题

* Thu Sep 09 2021 Du Qiang <du.qiang@gd-linux.cn> 0.0.0-20
- add thumbnail path and wallpaper thumbnail

* Wed Sep 1 2021 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.0-19
- 修改日志导出异常问题

* Fri Aug 13 2021 Lei Bao <lei.bao@zte.com.cn> - 0.0.0-18
- 添加字体比例缩放设置权限

* Tue Aug 03 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.0-17
- 添加系统加固权限

* Thu Jul 01 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.0-16
- 添加安装字体权限

* Wed Jun 30 2021 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.0-15
- 修复系统加固导致修改时间异常

* Fri Jun 25 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.0-14
- 添加修改用户头像名权限

* Mon Apr 19 2021 He Leilei <he.leilei@zte.com.cn> - 0.0.0-13
- 添加修添加系统配置文件修改权限

* Fri Apr 09 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.0-12
- 添加修改主机名鉴权(1436) 

* Fri Mar 05 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.0-11
- 修改用户头像上传路径

* Wed Feb 24 2021 lei.bao <lei.bao@zte.com.cn> - 0.0.0-10
- 修复壁纸设置模块不能上传特殊字符名的图片问题

* Tue Feb 23 2021 Wu lei.bao <lei.bao@zte.com.cn> - 0.0.0-9
- 添加控制中心壁纸设置模块图片上传及删除鉴权

* Tue Feb 02 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.0-7
- 添加控制中心用户模块设置用户头像鉴权

* Mon Jan 18 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.0-6
- 添加控制中心用户模块自动登录功能的鉴权

* Fri Jan 15 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.0-5
- 添加控制中心用户模块操作权限

* Thu Jan 14 2021 lei.bao <lei.bao@zte.com.cn> - 0.0.0-4
- 修复开机自启动模块中desktop文件修改出错问题

* Tue Jan 05 2021 lei.bao <lei.bao@zte.com.cn> - 0.0.0-3
- 添加自启动应用desktop文件操作权限

* Tue Dec 29 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.0-2
- 添加时间日期操作权限操作

* Fri Dec 25 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.0-1
- 授权模块源码
